import { Arguments, Table, RawResponse } from '@kui-shell/core';
import { KubeOptions } from '@kui-shell/plugin-kubeui';
export declare function getNodeData(args: Arguments<KubeOptions>, onlySchedulable?: boolean, forNode?: string): Promise<Table>;
interface Overheads {
    cpuOverhead: number;
    memOverhead: number;
    cpuCapacity: number;
    memCapacity: number;
}
export declare function getSystemOverhead(args: Arguments<KubeOptions>, forNode: string, onlySchedulable?: boolean): Promise<Overheads>;
export interface NodeOptions extends KubeOptions {
    summary?: boolean;
}
export interface NodeSummary {
    cpuFrac: number;
    memFrac: number;
}
export declare function strip(args: Arguments, flag: string, nargs?: number): void;
export declare function topNode(args: Arguments<NodeOptions>, top: (args: Arguments<KubeOptions>) => Promise<Table>): Promise<RawResponse<NodeSummary> | Table>;
export {};
