"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const plugin_kubeui_1 = require("@kui-shell/plugin-kubeui");
const get_pod_data_1 = require("./controller/get-pod-data");
const get_node_data_1 = require("./controller/get-node-data");
exports.default = (commandTree) => __awaiter(void 0, void 0, void 0, function* () {
    const top = (yield commandTree.find(`/${plugin_kubeui_1.commandPrefix}/kubectl/top/node`, 'plugin-kubeui')).$;
    commandTree.listen(`/${plugin_kubeui_1.commandPrefix}/kubectl/top/node-summary`, (args) => __awaiter(void 0, void 0, void 0, function* () {
        args.command = args.command.replace(/node-summary/, 'node --summary');
        args.parsedOptions.summary = true;
        return get_node_data_1.topNode(args, top);
    }), plugin_kubeui_1.defaultFlags);
    commandTree.override(`/${plugin_kubeui_1.commandPrefix}/kubectl/top/node`, 'plugin-kubeui', get_node_data_1.topNode, plugin_kubeui_1.defaultFlags);
    commandTree.override(`/${plugin_kubeui_1.commandPrefix}/k/top/node`, 'plugin-kubeui', get_node_data_1.topNode, plugin_kubeui_1.defaultFlags);
    commandTree.override(`/${plugin_kubeui_1.commandPrefix}/kubectl/top/pod`, 'plugin-kubeui', get_pod_data_1.topPod, plugin_kubeui_1.defaultFlags);
    commandTree.override(`/${plugin_kubeui_1.commandPrefix}/k/top/pod`, 'plugin-kubeui', get_pod_data_1.topPod, plugin_kubeui_1.defaultFlags);
    commandTree.listen(`/${plugin_kubeui_1.commandPrefix}/kubectl/top/container`, get_pod_data_1.topContainer, plugin_kubeui_1.defaultFlags);
    commandTree.listen(`/${plugin_kubeui_1.commandPrefix}/k/top/container`, get_pod_data_1.topContainer, plugin_kubeui_1.defaultFlags);
});
//# sourceMappingURL=plugin.js.map