var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { defaultFlags, commandPrefix } from '@kui-shell/plugin-kubeui';
import { topContainer, topPod } from './controller/get-pod-data';
import { topNode } from './controller/get-node-data';
export default (commandTree) => __awaiter(void 0, void 0, void 0, function* () {
    const top = (yield commandTree.find(`/${commandPrefix}/kubectl/top/node`, 'plugin-kubeui')).$;
    commandTree.listen(`/${commandPrefix}/kubectl/top/node-summary`, (args) => __awaiter(void 0, void 0, void 0, function* () {
        args.command = args.command.replace(/node-summary/, 'node --summary');
        args.parsedOptions.summary = true;
        return topNode(args, top);
    }), defaultFlags);
    commandTree.override(`/${commandPrefix}/kubectl/top/node`, 'plugin-kubeui', topNode, defaultFlags);
    commandTree.override(`/${commandPrefix}/k/top/node`, 'plugin-kubeui', topNode, defaultFlags);
    commandTree.override(`/${commandPrefix}/kubectl/top/pod`, 'plugin-kubeui', topPod, defaultFlags);
    commandTree.override(`/${commandPrefix}/k/top/pod`, 'plugin-kubeui', topPod, defaultFlags);
    commandTree.listen(`/${commandPrefix}/kubectl/top/container`, topContainer, defaultFlags);
    commandTree.listen(`/${commandPrefix}/k/top/container`, topContainer, defaultFlags);
});
//# sourceMappingURL=plugin.js.map