function makeBar(color, container) {
    const bar = document.createElement('div');
    const live = document.createElement('div');
    bar.style.display = 'flex';
    bar.style.background = 'var(--color-stripe-01)';
    live.style.background = color;
    bar.style.height = '45%';
    live.style.borderRight = '1px solid var(--color-stripe-02)';
    bar.appendChild(live);
    container.appendChild(bar);
    return live;
}
export function bar(container, color, initialFraction) {
    const dom = makeBar(color, container);
    if (initialFraction) {
        dom.style.width = initialFraction;
    }
    return dom;
}
export function barContainer(alignment = 'space-between') {
    const container = document.createElement('div');
    container.style.display = 'flex';
    container.style.flexDirection = 'column';
    container.style.justifyContent = alignment;
    container.style.width = '5em';
    container.style.height = '1.375em';
    return container;
}
export function singletonBar(color, initialFraction) {
    const container = barContainer('center');
    bar(container, color, initialFraction);
    return container;
}
//# sourceMappingURL=bar.js.map